SD-PATH(3)

NAME
sd-path - APIs to query file system paths

SYNOPSIS

#include <systemd/sd-path.h>

pkg-config --cflags --libs libsystemd

DESCRIPTION

sd-path.h is part of libsystemd(3) and provides APIs to query file system paths. This functionality is similar to the command-line functionality provided by systemd-path(1).

See sd_path_lookup(3) for information about the functions available.

NOTES

Functions described here are available as a shared library, which can be compiled against and linked to with the libelogind pkg-config(8) file.

SEE ALSO

systemd(1), systemd-path(1), pkg-config(1)